
#include "hwCtrl.h"
#include "r_cg_port.h"
#include "iodefine.h"
#include "appTask.h"
#include "PINdef.h"
#include "prjconfig.h"

#define IO_INPUT    0x01
#define IO_OUTPUT   0x00

void IO_Init(void)
{
#if BOARDCFG == LEFT_BOARD
    PM1_bit.no1 = IO_INPUT;
    PM1_bit.no2 = IO_INPUT;
    PM1_bit.no3 = IO_INPUT;
    PM2_bit.no1 = IO_OUTPUT;
    PM2_bit.no2 = IO_OUTPUT;
    PM2_bit.no3 = IO_OUTPUT;
#endif
}


uint8_t GetKeyState(uint8_t keyno)
{
    switch (keyno)
    {
    case SIGID_KEY1:
        return IN_KEY1?0:1;
    case SIGID_KEY2:
        return IN_KEY2?0:1;
    case SIGID_KEY3:
        return IN_KEY3?0:1;
    case SIGID_KEY4:
        return IN_KEY4?0:1;

    default:
        return 0;
    }
}

#define LED_OFF 0
#define LED_ON  1

#define LEDF1   OUT_LED3
#define LEDF2   OUT_LED2
#define LEDF3   OUT_LED1

#define LEDH1   OUT_LED4
#define LEDH2   OUT_LED5
#define LEDH3   OUT_LED6

void FanLED_Ctrl(uint8_t state)
{
    switch (state)
    {
    case 0:
        LEDF1 = LED_OFF;
        LEDF2 = LED_OFF;
        LEDF3 = LED_OFF;
        break;
    case 3:
        LEDF1 = LED_ON;
        LEDF2 = LED_OFF;
        LEDF3 = LED_OFF;
        break;
    case 2:
        LEDF1 = LED_ON;
        LEDF2 = LED_ON;
        LEDF3 = LED_OFF;
        break;
    case 1:
        LEDF1 = LED_ON;
        LEDF2 = LED_ON;
        LEDF3 = LED_ON;
        break;
    default:
        break;
    }
}
void HeatLED_Ctrl(uint8_t state)
{
    switch (state)
    {
    case 0:
        LEDH1 = LED_OFF;
        LEDH2 = LED_OFF;
        LEDH3 = LED_OFF;
        break;
    case 3:
        LEDH1 = LED_ON;
        LEDH2 = LED_OFF;
        LEDH3 = LED_OFF;
        break;
    case 2:
        LEDH1 = LED_ON;
        LEDH2 = LED_ON;
        LEDH3 = LED_OFF;
        break;
    case 1:
        LEDH1 = LED_ON;
        LEDH2 = LED_ON;
        LEDH3 = LED_ON;
        break;
    default:
        break;
    }
}

